#include <SDL2/SDL.h>

#define PRINT_ENUM_VARIANT(x) do {          \
        printf(#x" = %d\n", x);             \
} while(0)

int main() {
    PRINT_ENUM_VARIANT(SDLK_UNKNOWN);
    PRINT_ENUM_VARIANT(SDLK_RETURN);
    PRINT_ENUM_VARIANT(SDLK_ESCAPE);
    PRINT_ENUM_VARIANT(SDLK_BACKSPACE);
    PRINT_ENUM_VARIANT(SDLK_TAB);
    PRINT_ENUM_VARIANT(SDLK_SPACE);
    PRINT_ENUM_VARIANT(SDLK_EXCLAIM);
    PRINT_ENUM_VARIANT(SDLK_QUOTEDBL);
    PRINT_ENUM_VARIANT(SDLK_HASH);
    PRINT_ENUM_VARIANT(SDLK_PERCENT);
    PRINT_ENUM_VARIANT(SDLK_DOLLAR);
    PRINT_ENUM_VARIANT(SDLK_AMPERSAND);
    PRINT_ENUM_VARIANT(SDLK_QUOTE);
    PRINT_ENUM_VARIANT(SDLK_LEFTPAREN);
    PRINT_ENUM_VARIANT(SDLK_RIGHTPAREN);
    PRINT_ENUM_VARIANT(SDLK_ASTERISK);
    PRINT_ENUM_VARIANT(SDLK_PLUS);
    PRINT_ENUM_VARIANT(SDLK_COMMA);
    PRINT_ENUM_VARIANT(SDLK_MINUS);
    PRINT_ENUM_VARIANT(SDLK_PERIOD);
    PRINT_ENUM_VARIANT(SDLK_SLASH);
    PRINT_ENUM_VARIANT(SDLK_0);
    PRINT_ENUM_VARIANT(SDLK_1);
    PRINT_ENUM_VARIANT(SDLK_2);
    PRINT_ENUM_VARIANT(SDLK_3);
    PRINT_ENUM_VARIANT(SDLK_4);
    PRINT_ENUM_VARIANT(SDLK_5);
    PRINT_ENUM_VARIANT(SDLK_6);
    PRINT_ENUM_VARIANT(SDLK_7);
    PRINT_ENUM_VARIANT(SDLK_8);
    PRINT_ENUM_VARIANT(SDLK_9);
    PRINT_ENUM_VARIANT(SDLK_COLON);
    PRINT_ENUM_VARIANT(SDLK_SEMICOLON);
    PRINT_ENUM_VARIANT(SDLK_LESS);
    PRINT_ENUM_VARIANT(SDLK_EQUALS);
    PRINT_ENUM_VARIANT(SDLK_GREATER);
    PRINT_ENUM_VARIANT(SDLK_QUESTION);
    PRINT_ENUM_VARIANT(SDLK_AT);
    PRINT_ENUM_VARIANT(SDLK_LEFTBRACKET);
    PRINT_ENUM_VARIANT(SDLK_BACKSLASH);
    PRINT_ENUM_VARIANT(SDLK_RIGHTBRACKET);
    PRINT_ENUM_VARIANT(SDLK_CARET);
    PRINT_ENUM_VARIANT(SDLK_UNDERSCORE);
    PRINT_ENUM_VARIANT(SDLK_BACKQUOTE);
    PRINT_ENUM_VARIANT(SDLK_a);
    PRINT_ENUM_VARIANT(SDLK_b);
    PRINT_ENUM_VARIANT(SDLK_c);
    PRINT_ENUM_VARIANT(SDLK_d);
    PRINT_ENUM_VARIANT(SDLK_e);
    PRINT_ENUM_VARIANT(SDLK_f);
    PRINT_ENUM_VARIANT(SDLK_g);
    PRINT_ENUM_VARIANT(SDLK_h);
    PRINT_ENUM_VARIANT(SDLK_i);
    PRINT_ENUM_VARIANT(SDLK_j);
    PRINT_ENUM_VARIANT(SDLK_k);
    PRINT_ENUM_VARIANT(SDLK_l);
    PRINT_ENUM_VARIANT(SDLK_m);
    PRINT_ENUM_VARIANT(SDLK_n);
    PRINT_ENUM_VARIANT(SDLK_o);
    PRINT_ENUM_VARIANT(SDLK_p);
    PRINT_ENUM_VARIANT(SDLK_q);
    PRINT_ENUM_VARIANT(SDLK_r);
    PRINT_ENUM_VARIANT(SDLK_s);
    PRINT_ENUM_VARIANT(SDLK_t);
    PRINT_ENUM_VARIANT(SDLK_u);
    PRINT_ENUM_VARIANT(SDLK_v);
    PRINT_ENUM_VARIANT(SDLK_w);
    PRINT_ENUM_VARIANT(SDLK_x);
    PRINT_ENUM_VARIANT(SDLK_y);
    PRINT_ENUM_VARIANT(SDLK_z);

    PRINT_ENUM_VARIANT(SDLK_CAPSLOCK);

    PRINT_ENUM_VARIANT(SDLK_F1);
    PRINT_ENUM_VARIANT(SDLK_F2);
    PRINT_ENUM_VARIANT(SDLK_F3);
    PRINT_ENUM_VARIANT(SDLK_F4);
    PRINT_ENUM_VARIANT(SDLK_F5);
    PRINT_ENUM_VARIANT(SDLK_F6);
    PRINT_ENUM_VARIANT(SDLK_F7);
    PRINT_ENUM_VARIANT(SDLK_F8);
    PRINT_ENUM_VARIANT(SDLK_F9);
    PRINT_ENUM_VARIANT(SDLK_F10);
    PRINT_ENUM_VARIANT(SDLK_F11);
    PRINT_ENUM_VARIANT(SDLK_F12);

    PRINT_ENUM_VARIANT(SDLK_PRINTSCREEN);
    PRINT_ENUM_VARIANT(SDLK_SCROLLLOCK);
    PRINT_ENUM_VARIANT(SDLK_PAUSE);
    PRINT_ENUM_VARIANT(SDLK_INSERT);
    PRINT_ENUM_VARIANT(SDLK_HOME);
    PRINT_ENUM_VARIANT(SDLK_PAGEUP);
    PRINT_ENUM_VARIANT(SDLK_DELETE);
    PRINT_ENUM_VARIANT(SDLK_END);
    PRINT_ENUM_VARIANT(SDLK_PAGEDOWN);
    PRINT_ENUM_VARIANT(SDLK_RIGHT);
    PRINT_ENUM_VARIANT(SDLK_LEFT);
    PRINT_ENUM_VARIANT(SDLK_DOWN);
    PRINT_ENUM_VARIANT(SDLK_UP);

    PRINT_ENUM_VARIANT(SDLK_NUMLOCKCLEAR);
    PRINT_ENUM_VARIANT(SDLK_KP_DIVIDE);
    PRINT_ENUM_VARIANT(SDLK_KP_MULTIPLY);
    PRINT_ENUM_VARIANT(SDLK_KP_MINUS);
    PRINT_ENUM_VARIANT(SDLK_KP_PLUS);
    PRINT_ENUM_VARIANT(SDLK_KP_ENTER);
    PRINT_ENUM_VARIANT(SDLK_KP_1);
    PRINT_ENUM_VARIANT(SDLK_KP_2);
    PRINT_ENUM_VARIANT(SDLK_KP_3);
    PRINT_ENUM_VARIANT(SDLK_KP_4);
    PRINT_ENUM_VARIANT(SDLK_KP_5);
    PRINT_ENUM_VARIANT(SDLK_KP_6);
    PRINT_ENUM_VARIANT(SDLK_KP_7);
    PRINT_ENUM_VARIANT(SDLK_KP_8);
    PRINT_ENUM_VARIANT(SDLK_KP_9);
    PRINT_ENUM_VARIANT(SDLK_KP_0);
    PRINT_ENUM_VARIANT(SDLK_KP_PERIOD);

    PRINT_ENUM_VARIANT(SDLK_APPLICATION);
    PRINT_ENUM_VARIANT(SDLK_POWER);
    PRINT_ENUM_VARIANT(SDLK_KP_EQUALS);
    PRINT_ENUM_VARIANT(SDLK_F13);
    PRINT_ENUM_VARIANT(SDLK_F14);
    PRINT_ENUM_VARIANT(SDLK_F15);
    PRINT_ENUM_VARIANT(SDLK_F16);
    PRINT_ENUM_VARIANT(SDLK_F17);
    PRINT_ENUM_VARIANT(SDLK_F18);
    PRINT_ENUM_VARIANT(SDLK_F19);
    PRINT_ENUM_VARIANT(SDLK_F20);
    PRINT_ENUM_VARIANT(SDLK_F21);
    PRINT_ENUM_VARIANT(SDLK_F22);
    PRINT_ENUM_VARIANT(SDLK_F23);
    PRINT_ENUM_VARIANT(SDLK_F24);
    PRINT_ENUM_VARIANT(SDLK_EXECUTE);
    PRINT_ENUM_VARIANT(SDLK_HELP);
    PRINT_ENUM_VARIANT(SDLK_MENU);
    PRINT_ENUM_VARIANT(SDLK_SELECT);
    PRINT_ENUM_VARIANT(SDLK_STOP);
    PRINT_ENUM_VARIANT(SDLK_AGAIN);
    PRINT_ENUM_VARIANT(SDLK_UNDO);
    PRINT_ENUM_VARIANT(SDLK_CUT);
    PRINT_ENUM_VARIANT(SDLK_COPY);
    PRINT_ENUM_VARIANT(SDLK_PASTE);
    PRINT_ENUM_VARIANT(SDLK_FIND);
    PRINT_ENUM_VARIANT(SDLK_MUTE);
    PRINT_ENUM_VARIANT(SDLK_VOLUMEUP);
    PRINT_ENUM_VARIANT(SDLK_VOLUMEDOWN);
    PRINT_ENUM_VARIANT(SDLK_KP_COMMA);
    PRINT_ENUM_VARIANT(SDLK_KP_EQUALSAS400);

    PRINT_ENUM_VARIANT(SDLK_ALTERASE);
    PRINT_ENUM_VARIANT(SDLK_SYSREQ);
    PRINT_ENUM_VARIANT(SDLK_CANCEL);
    PRINT_ENUM_VARIANT(SDLK_CLEAR);
    PRINT_ENUM_VARIANT(SDLK_PRIOR);
    PRINT_ENUM_VARIANT(SDLK_RETURN2);
    PRINT_ENUM_VARIANT(SDLK_SEPARATOR);
    PRINT_ENUM_VARIANT(SDLK_OUT);
    PRINT_ENUM_VARIANT(SDLK_OPER);
    PRINT_ENUM_VARIANT(SDLK_CLEARAGAIN);
    PRINT_ENUM_VARIANT(SDLK_CRSEL);
    PRINT_ENUM_VARIANT(SDLK_EXSEL);

    PRINT_ENUM_VARIANT(SDLK_KP_00);
    PRINT_ENUM_VARIANT(SDLK_KP_000);
    PRINT_ENUM_VARIANT(SDLK_THOUSANDSSEPARATOR);
    PRINT_ENUM_VARIANT(SDLK_DECIMALSEPARATOR);
    PRINT_ENUM_VARIANT(SDLK_CURRENCYUNIT);
    PRINT_ENUM_VARIANT(SDLK_CURRENCYSUBUNIT);
    PRINT_ENUM_VARIANT(SDLK_KP_LEFTPAREN);
    PRINT_ENUM_VARIANT(SDLK_KP_RIGHTPAREN);
    PRINT_ENUM_VARIANT(SDLK_KP_LEFTBRACE);
    PRINT_ENUM_VARIANT(SDLK_KP_RIGHTBRACE);
    PRINT_ENUM_VARIANT(SDLK_KP_TAB);
    PRINT_ENUM_VARIANT(SDLK_KP_BACKSPACE);
    PRINT_ENUM_VARIANT(SDLK_KP_A);
    PRINT_ENUM_VARIANT(SDLK_KP_B);
    PRINT_ENUM_VARIANT(SDLK_KP_C);
    PRINT_ENUM_VARIANT(SDLK_KP_D);
    PRINT_ENUM_VARIANT(SDLK_KP_E);
    PRINT_ENUM_VARIANT(SDLK_KP_F);
    PRINT_ENUM_VARIANT(SDLK_KP_XOR);
    PRINT_ENUM_VARIANT(SDLK_KP_POWER);
    PRINT_ENUM_VARIANT(SDLK_KP_PERCENT);
    PRINT_ENUM_VARIANT(SDLK_KP_LESS);
    PRINT_ENUM_VARIANT(SDLK_KP_GREATER);
    PRINT_ENUM_VARIANT(SDLK_KP_AMPERSAND);
    PRINT_ENUM_VARIANT(SDLK_KP_DBLAMPERSAND);
    PRINT_ENUM_VARIANT(SDLK_KP_VERTICALBAR);
    PRINT_ENUM_VARIANT(SDLK_KP_DBLVERTICALBAR);
    PRINT_ENUM_VARIANT(SDLK_KP_COLON);
    PRINT_ENUM_VARIANT(SDLK_KP_HASH);
    PRINT_ENUM_VARIANT(SDLK_KP_SPACE);
    PRINT_ENUM_VARIANT(SDLK_KP_AT);
    PRINT_ENUM_VARIANT(SDLK_KP_EXCLAM);
    PRINT_ENUM_VARIANT(SDLK_KP_MEMSTORE);
    PRINT_ENUM_VARIANT(SDLK_KP_MEMRECALL);
    PRINT_ENUM_VARIANT(SDLK_KP_MEMCLEAR);
    PRINT_ENUM_VARIANT(SDLK_KP_MEMADD);
    PRINT_ENUM_VARIANT(SDLK_KP_MEMSUBTRACT);
    PRINT_ENUM_VARIANT(SDLK_KP_MEMMULTIPLY);
    PRINT_ENUM_VARIANT(SDLK_KP_MEMDIVIDE);
    PRINT_ENUM_VARIANT(SDLK_KP_PLUSMINUS);
    PRINT_ENUM_VARIANT(SDLK_KP_CLEAR);
    PRINT_ENUM_VARIANT(SDLK_KP_CLEARENTRY);
    PRINT_ENUM_VARIANT(SDLK_KP_BINARY);
    PRINT_ENUM_VARIANT(SDLK_KP_OCTAL);
    PRINT_ENUM_VARIANT(SDLK_KP_DECIMAL);
    PRINT_ENUM_VARIANT(SDLK_KP_HEXADECIMAL);

    PRINT_ENUM_VARIANT(SDLK_LCTRL);
    PRINT_ENUM_VARIANT(SDLK_LSHIFT);
    PRINT_ENUM_VARIANT(SDLK_LALT);
    PRINT_ENUM_VARIANT(SDLK_LGUI);
    PRINT_ENUM_VARIANT(SDLK_RCTRL);
    PRINT_ENUM_VARIANT(SDLK_RSHIFT);
    PRINT_ENUM_VARIANT(SDLK_RALT);
    PRINT_ENUM_VARIANT(SDLK_RGUI);

    PRINT_ENUM_VARIANT(SDLK_MODE);

    PRINT_ENUM_VARIANT(SDLK_AUDIONEXT);
    PRINT_ENUM_VARIANT(SDLK_AUDIOPREV);
    PRINT_ENUM_VARIANT(SDLK_AUDIOSTOP);
    PRINT_ENUM_VARIANT(SDLK_AUDIOPLAY);
    PRINT_ENUM_VARIANT(SDLK_AUDIOMUTE);
    PRINT_ENUM_VARIANT(SDLK_MEDIASELECT);
    PRINT_ENUM_VARIANT(SDLK_WWW);
    PRINT_ENUM_VARIANT(SDLK_MAIL);
    PRINT_ENUM_VARIANT(SDLK_CALCULATOR);
    PRINT_ENUM_VARIANT(SDLK_COMPUTER);
    PRINT_ENUM_VARIANT(SDLK_AC_SEARCH);
    PRINT_ENUM_VARIANT(SDLK_AC_HOME);
    PRINT_ENUM_VARIANT(SDLK_AC_BACK);
    PRINT_ENUM_VARIANT(SDLK_AC_FORWARD);
    PRINT_ENUM_VARIANT(SDLK_AC_STOP);
    PRINT_ENUM_VARIANT(SDLK_AC_REFRESH);
    PRINT_ENUM_VARIANT(SDLK_AC_BOOKMARKS);

    PRINT_ENUM_VARIANT(SDLK_BRIGHTNESSDOWN);
    PRINT_ENUM_VARIANT(SDLK_BRIGHTNESSUP);
    PRINT_ENUM_VARIANT(SDLK_DISPLAYSWITCH);
    PRINT_ENUM_VARIANT(SDLK_KBDILLUMTOGGLE);
    PRINT_ENUM_VARIANT(SDLK_KBDILLUMDOWN);
    PRINT_ENUM_VARIANT(SDLK_KBDILLUMUP);
    PRINT_ENUM_VARIANT(SDLK_EJECT);
    PRINT_ENUM_VARIANT(SDLK_SLEEP);
    PRINT_ENUM_VARIANT(SDLK_APP1);
    PRINT_ENUM_VARIANT(SDLK_APP2);

    PRINT_ENUM_VARIANT(SDLK_AUDIOREWIND);
    PRINT_ENUM_VARIANT(SDLK_AUDIOFASTFORWARD);
}
